.service-request-container {

  .request__actions {
    display: flex;
    background: white;
    align-items: center;
    .btn__add {
      margin: 10px 15px 0 5px;
    }
  }

  .disable-div{
    pointer-events: none;
    opacity: 0.5;
  }
  .search {
    display: flex;
    justify-content: space-between;
    flex-grow: 1;

    input {
      background: url('../assets/icons/search.png') no-repeat scroll right 10px center !important;
    }
  }

  .btn__add {
    margin-left: 3rem;
    margin-right: 3rem;
  }

  .btn__toggle {
    margin-left: auto;
    background: #FAFAAF !important;
    color: var(--success) !important;
    border: #FAFAAF !important;
  }

  
  .cell__update{
    white-space: normal;
    max-height: 300px;
    overflow: auto;
    padding: 2px;

    // custom scrollbar
    &::-webkit-scrollbar {
        width: 5px;
        height: 5px;
    }

    &::-webkit-scrollbar-track {
        background: none;
        border: none;
    }

    &::-webkit-scrollbar-thumb {
        background: #dcdcdc;
        border-radius: 10px;
    }

    &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
    }
   }

  .status {
    color: white;
    padding: 2px 15px 2px 15px !important;

        &.status--inprogress {
            background: #008000;
        };

        &.status--completed {
            background: #008000;
        };

        &.status--assigned {
            background: #DBDB01;
        };

        &.status--onhold {
            background: var(--danger);
        };

        &.status--waiting {
            background: #DBDB01;
        };
  }
  .rt-thead.-header:first-child{
    padding-left: 0 !important;
  }

  .status__service-request {
    border: 1px solid;
    padding: 0px 12px;
    color: white;
    font-size: var(--font-xs);
    border-radius: 5px;
    font-weight: 600;
    width: auto;
    text-align: center;
    background: #1caf1c;
 }

  .closed{
    background: #FF3434
  }

  .waitingonclient{
    background: #DBDB01
  }
}


.service-details-container {

  .btn__back {
    color: #303030;
     font-size: var(--font-xxxl);;
    font-weight: 600;
    cursor: pointer;
  }

  .details {
    border-radius: 2px;
    background-color: #ffffff;
  }

  .details-Description{
    margin-top: 10px;
  }

  .details__header {
    border-bottom: 1px solid #D7D7D7;
    display: flex;
    flex-wrap: wrap;
    padding: 10px 10px 10px 26px;
    width: 100%;
    justify-content: space-between;

    .left{
      display: flex;
    }

    h4 {
      font-weight: 600;
      font-size: var(--font-xl);
      color: #333333;
    }

    p {
      opacity: .8;
      color: #333333;
      font-size: var(--font-xs);
      margin: auto 0 auto 2rem;
    }

    .close-ticket{
      max-width: 170px;
    }
  }

  .details__body {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 10px 10px 10px 26px;
    width: 100%;

    h5 {
      color: #9A9A9A;
      font-size: var(--font-l);
    }

    p {
      //color: #000000;
      font-size: 15.98px;
    }

    .cell__update{
      white-space: normal;
      max-height: 300px;
      overflow: auto;
      padding: 2px;
  
      // custom scrollbar
      &::-webkit-scrollbar {
          width: 5px;
          height: 5px;
      }
  
      &::-webkit-scrollbar-track {
          background: none;
          border: none;
      }
  
      &::-webkit-scrollbar-thumb {
          background: #dcdcdc;
          border-radius: 10px;
      }
  
      &::-webkit-scrollbar-thumb:hover {
          background: var(--primary);
      }
     }

    .inline {
      display: flex;
      width: 100%;
      justify-content: space-between;
    }
    .text-description{
      white-space: pre-wrap;
    }
  }

  .btn__upload {
    width: 100px;
  }

  .details__footer {
    margin-top: 2rem;
    border-radius: 2px;
    background-color: #ffffff;


    .error-message{
      color: #FF3434;
      padding: 15px 0 0px 20px;
    }
  }

  .footer__header {
    border-bottom: 1px solid #D7D7D7;
    display: flex;
    flex-wrap: wrap;
    padding: 10px 10px 10px 26px;
    width: 100%;
    h5{
      font-weight: 700;
    }
  }

  .footer__body {
    padding: 10px 10px 25px 6px;
    .comment-edit-section {
      display: flex;
      flex-direction: column;
      margin-bottom: 2.5rem;
      
      .comment-type-radio {
        margin-bottom: 15px;
      }
      .footer__action {
        margin-left: 20px;
        width: 125px;
      }
    }
  }

  .text-light {
    color: #5C5C5C;
  }

  .status {

    &.status--inprogress {
        background: #008000;
    };
    &.status--completed {
        background: #008000;
    };
    &.status--assigned {
        background: #DBDB01;
    };
    &.status--onhold {
        background: var(--danger);
    };
    &.status--waiting {
        background: #DBDB01;
    };

    p{
      color: white;
      padding: 2px 15px 2px 15px;
      border-radius: 3px;
      font-size: 11px;
      position: relative;
    }
  }

  .comment {
    margin: 0 1rem;
  }

  .icon__loading {
    width: 25px;
  }

  .btn__atttachment {
      background: var(--primary) !important;
      border-color: var(--primary) !important;
      color: var(--white-font) !important;
  }

  .comment__loader {
    position: absolute;
    left: 55%;
    transform: translate(50%, 100%);
    z-index: 999;
  }
  .attachment-details{
    margin-top: 20px;
    border-radius: 2px;
    background-color: #ffffff;

    .attachment-header{
      display: flex;
      padding-bottom: 10px;
      border-bottom: 1px solid #D7D7D7;
      justify-content: space-between;
      padding: 10px 25px;

      h5{
        font-weight: 700;
      }


    }
    .attachment-body{
      padding: 25px;
    }
  }

  .update-service-tickets{
    flex-direction: unset;
    background: white;
    margin: 20px 0;
    .details__body{
      flex-direction: unset;
      padding: 15px;

      p{
        color: #9A9A9A;
        font-size: var(--font-l);
      }
    }
    .new__select{
      max-width: 400px;
  }
    .footer__action {
      margin: 30px 20px 0px 20px;
      padding: 10px;
      height: var(--input-height);
      max-width: 140px;
  }
}

.error-on-close {
  color: red;
  border: 1px solid red;
  padding: 5px;
  text-align: center;
  background: #ff00000f;
}
}

.service-new-container {

  .new__body {
    width: 100%;
    display: flex;
    flex-direction: column;

    .error-message{
      color: #FF3434;
      padding: 15px 0 0px 20px;
    }
  }

  .attachment__wrap {
    margin-left: 20px;
  }

  .new__select {
    width: 30%;
    margin-top: 30px;
    margin-left: 20px;
  }

  .text__note{
    color : var(--danger);
    margin-left: 20px;
  }

  .Select-input {
    input {
      color: #222222 !important;
    }
  }

  .btn__atttachment {
    background: var(--primary) !important;
    border-color: var(--primary) !important;
    color: var(--white-font) !important;
}
}

.service-upload-container {
  input {
    display: none;
  }

  .btn__atttachment {
    background: var(--primary) !important;
    border-color: var(--primary) !important;
    color: var(--white-font) !important;
  }

  .file-type-error{
    border: 1px solid var(--danger);
    color: var(--danger);
    padding: 10px;
    font-size: var(--font-l);
    margin: 0px 30px;
  }
}